/*
DESCRIPTION:
Any functions that are used internally by the use-case
*/
package controlletter

import (
	e "simrs-vx/internal/domain/main-entities/control-letter"
)

func setData[T *e.CreateDto | *e.UpdateDto](input T, data *e.ControlLetter) {
	var inputSrc *e.CreateDto
	if inputT, ok := any(input).(*e.CreateDto); ok {
		inputSrc = inputT
	} else {
		inputTemp := any(input).(*e.UpdateDto)
		inputSrc = &inputTemp.CreateDto
	}

	data.Encounter_Id = inputSrc.Encounter_Id
	data.Unit_Code = inputSrc.Unit_Code
	data.Specialist_Code = inputSrc.Specialist_Code
	data.Subspecialist_Code = inputSrc.Subspecialist_Code
	data.Doctor_Code = inputSrc.Doctor_Code
	data.Date = inputSrc.Date
}
